package com.sundata.internalevaluation.configuration.mapper;

import com.sundata.admin.nounmanage.model.DictContent;
import com.sundata.internalevaluation.configuration.model.IndexModel;
import com.sundata.internalevaluation.configuration.model.IndexSourceModel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface IndexConfigMapper {
    List<IndexModel> getDataList(IndexModel model);

    void createData(IndexModel model);

    void deleteRows(IndexModel model);

    void updateExistData(IndexModel model);

    IndexModel selectDetailData(IndexModel model);

    DictContent selectAllIndexToDict();

    List<IndexSourceModel> getIndexSourceList(IndexModel indexModel);

    /**
     * 根据规则编号查询所有指标
     */
    List<IndexModel> selectIndexListByRuleNo(@Param("ruleNo") String ruleNo);

    int createIndexSource(IndexSourceModel indexSourceModel);

    void deleteIndexSource(String indexNo);
}
