package com.sundata.internalevaluation.configuration.model;

import java.util.List;

public class IndexModel {

    // 指标编号
    private String indexNo;
    // 指标名称
    private String indexName;
    // 指标逻辑
    private String indexLogic;
    /**
     * 默认值
     */
    private String defaultValue;

    /**
     * 默认值类型
     */
    private String defaultValueType;

    // 数据来源
    private String dataSource;
    // 数据集
    private String dataSet;
    // 数据集
    private List<String> dataSets;
    // 指标数据来源
    private List<IndexSourceModel> indexDataSource;

    public IndexModel() {
    }

    public String getIndexNo() {
        return indexNo;
    }

    public void setIndexNo(String indexNo) {
        this.indexNo = indexNo;
    }

    public String getIndexName() {
        return indexName;
    }

    public void setIndexName(String indexName) {
        this.indexName = indexName;
    }

    public String getIndexLogic() {
        return indexLogic;
    }

    public void setIndexLogic(String indexLogic) {
        this.indexLogic = indexLogic;
    }

    public String getDefaultValue() {
        return defaultValue;
    }

    public void setDefaultValue(String defaultValue) {
        this.defaultValue = defaultValue;
    }

    public String getDefaultValueType() {
        return defaultValueType;
    }

    public void setDefaultValueType(String defaultValueType) {
        this.defaultValueType = defaultValueType;
    }

    public String getDataSource() {
        return dataSource;
    }

    public void setDataSource(String dataSource) {
        this.dataSource = dataSource;
    }

    public String getDataSet() {
        return dataSet;
    }

    public void setDataSet(String dataSet) {
        this.dataSet = dataSet;
    }

    public List<String> getDataSets() {
        return dataSets;
    }

    public void setDataSets(List<String> dataSets) {
        this.dataSets = dataSets;
    }

    public List<IndexSourceModel> getIndexDataSource() {
        return indexDataSource;
    }

    public void setIndexDataSource(List<IndexSourceModel> indexDataSource) {
        this.indexDataSource = indexDataSource;
    }

    @Override
    public String toString() {
        return "IndexModel{" +
                "indexNo='" + indexNo + '\'' +
                ", indexName='" + indexName + '\'' +
                ", indexLogic='" + indexLogic + '\'' +
                ", defaultValue='" + defaultValue + '\'' +
                ", defaultValueType='" + defaultValueType + '\'' +
                ", dataSource='" + dataSource + '\'' +
                ", dataSet='" + dataSet + '\'' +
                ", dataSets=" + dataSets +
                ", indexDataSource=" + indexDataSource +
                '}';
    }
}