package com.sundata.internalevaluation.configuration.model;


import java.util.ArrayList;
import java.util.List;

/**
 * 规则集信息表
 */
public class RuleSet {
    /**
     * 所属产品
     */
    private String belongProduct;
    /**
     * 规则集名称
     */
    private String rulesNo;
    /**
     * 规则集编号
     */
    private String rulesName;
    /**
     * 相关规则清单
     */
    private List<String> ruleIds = new ArrayList<>();

    private String rulesConclusionTemplate;


    public RuleSet() {
    }

    public RuleSet(String belongProduct, String rulesNo, String rulesName, List<String> ruleIds, String rulesConclusionTemplate) {
        this.belongProduct = belongProduct;
        this.rulesNo = rulesNo;
        this.rulesName = rulesName;
        this.ruleIds = ruleIds;
        this.rulesConclusionTemplate = rulesConclusionTemplate;
    }

    public String getBelongProduct() {
        return belongProduct;
    }

    public void setBelongProduct(String belongProduct) {
        this.belongProduct = belongProduct;
    }

    public String getRulesNo() {
        return rulesNo;
    }

    public void setRulesNo(String rulesNo) {
        this.rulesNo = rulesNo;
    }

    public String getRulesName() {
        return rulesName;
    }

    public void setRulesName(String rulesName) {
        this.rulesName = rulesName;
    }

    public List<String> getRuleIds() {
        return ruleIds;
    }

    public void setRuleIds(List<String> ruleIds) {
        this.ruleIds = ruleIds;
    }

    public String getRulesConclusionTemplate() {
        return rulesConclusionTemplate;
    }

    public void setRulesConclusionTemplate(String rulesConclusionTemplate) {
        this.rulesConclusionTemplate = rulesConclusionTemplate;
    }

    public String toString() {
        return "RuleSet{belongProduct = " + belongProduct + ", rulesNo = " + rulesNo + ", rulesName = " + rulesName + ", ruleIds = " + ruleIds + ", rulesConclusionTemplate = " + rulesConclusionTemplate + "}";
    }
}
