package com.sundata.internalevaluation.calc.calcUnit;

import com.sundata.internalevaluation.calc.model.CalcResult;
import com.sundata.internalevaluation.calc.model.CalcUnit;
import com.sundata.internalevaluation.calc.model.finals.CalcType;
import com.sundata.internalevaluation.configuration.model.IndexSourceModel;

import java.util.List;
import java.util.Map;

public class IndexSourceCalcUnit extends CalcUnit {

    IndexSourceModel indexSourceModel;
    /**
     * 创建数据单元的绝对对象，对象必须包含如下参数
     *
     * @param calcCode    计算对象编号
     * @param calcName    计算对象名称
     * @param calcType    计算类型
     * @param initContext 计算单元初始化参数
     */
    public IndexSourceCalcUnit(String calcCode, String calcName, CalcType calcType, Map<String, Object> initContext,IndexSourceModel indexSourceModel) {
        super(calcCode, calcName, calcType, initContext);
        this.indexSourceModel = indexSourceModel;
    }

    @Override
    public boolean isCalcFinished(String calculateInstanceNumber) {
        return false;
    }

    @Override
    public void initResultContext(String calculateInstanceNumber) {

    }

    @Override
    public List<CalcUnit> getSourceCalcUnits() {
        return List.of();
    }

    @Override
    public void afterCalc(Map<String, Object> context) {

    }

    @Override
    public void beforeCalc(Map<String, Object> context) {

    }

    @Override
    public void calc(CalcResult<String, Object> thisResult, String calculateInstanceNumber, Map<String, Object> context, Map<CalcUnit, CalcResult<String, Object>> sourceResults) {

    }
}
