package com.sundata.internalevaluation.calc.util;

import cn.hutool.core.lang.Snowflake;
import cn.hutool.core.util.IdUtil;

import java.util.UUID;

/**
 * Created by IntelliJ IDEA.
 *
 * @author JoeLazy
 * @date 2025-04-25 10:05:08
 * @description: 获取id的工具类
 */
public class IdUtils {
    private static final Snowflake SNOWFLAKE = IdUtil.getSnowflake();

    public static Long getSnowflakeId() {
        return SNOWFLAKE.nextId();
    }

    public static String getUuid() {
        return UUID.randomUUID().toString();
    }

    public static String getUuidSimple(){
        return getUuid().replace("-", "");
    }
}
