package com.sundata.internalevaluation.configuration.mapper;

import com.sundata.internalevaluation.configuration.model.IndexSetModel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface IndexListConfigMapper {

    List<IndexSetModel> getDataList(IndexSetModel model);

    void createData(@Param("model") IndexSetModel model);

    void createAssociation(IndexSetModel model);

    void deleteRows(String indexListNo);

    void deleteAssociation(String indexListNo);

    void updateExistData(IndexSetModel model);

    IndexSetModel selectDetailData(IndexSetModel model);

    List<IndexSetModel> selectAssociation(IndexSetModel model);
}
