package com.sundata.internalevaluation.configuration.model;

import java.util.List;

public class DataSourceModel {
    // 数据来源名称
    private String dataSourcesName;
    // 数据来源编号
    private String dataSourcesNo;
    // 数据来源类型
    private String dataSourcesType;
    // 数据源（请求接口）
    private String requestInterface;
    // 输入参数
    private List<InputParamModel> inputParam;
    // 查询逻辑
    private List<QueryLogicModel> queryLogic;
    // 数据项配置
    private List<DataItemConfigModel> dataItemConfig;

    public DataSourceModel() {
    }

    public String getDataSourcesName() {
        return dataSourcesName;
    }

    public void setDataSourcesName(String dataSourcesName) {
        this.dataSourcesName = dataSourcesName;
    }

    public String getDataSourcesNo() {
        return dataSourcesNo;
    }

    public void setDataSourcesNo(String dataSourcesNo) {
        this.dataSourcesNo = dataSourcesNo;
    }

    public String getDataSourcesType() {
        return dataSourcesType;
    }

    public void setDataSourcesType(String dataSourcesType) {
        this.dataSourcesType = dataSourcesType;
    }

    public String getRequestInterface() {
        return requestInterface;
    }

    public void setRequestInterface(String requestInterface) {
        this.requestInterface = requestInterface;
    }

    public List<InputParamModel> getInputParam() {
        return inputParam;
    }

    public void setInputParam(List<InputParamModel> inputParam) {
        this.inputParam = inputParam;
    }

    public List<QueryLogicModel> getQueryLogic() {
        return queryLogic;
    }

    public void setQueryLogic(List<QueryLogicModel> queryLogic) {
        this.queryLogic = queryLogic;
    }

    public List<DataItemConfigModel> getDataItemConfig() {
        return dataItemConfig;
    }

    public void setDataItemConfig(List<DataItemConfigModel> dataItemConfig) {
        this.dataItemConfig = dataItemConfig;
    }

    @Override
    public String toString() {
        return "DataSourceModel{" +
                "dataSourcesName='" + dataSourcesName + '\'' +
                ", dataSourcesNo='" + dataSourcesNo + '\'' +
                ", dataSourcesType='" + dataSourcesType + '\'' +
                ", requestInterface='" + requestInterface + '\'' +
                ", inputParam=" + inputParam +
                ", queryLogic=" + queryLogic +
                ", dataItemConfig=" + dataItemConfig +
                '}';
    }
}
