package com.sundata.internalevaluation.configuration.model;

/**
 * Created by IntelliJ IDEA.
 *
 * @author JoeLazy
 * @date 2025-01-17 17:16:54
 * @description: 接口参数
 */
public class InterfaceParam {

    /**
     * 所属接口编号
     */
    private String interfaceNo;
    /**
     * 参数对象名称
     */
    private String paramObjName;
    /**
     * 参数中文名称
     */
    private String paramChineseName;
    /**
     * 参数描述
     */
    private String paramDescription;
    /**
     * 参数类型编码
     */
    private String paramTypeCode;
    /**
     * 参数类型名称
     */
    private String paramTypeName;
    /**
     * 参数获取类型编码
     */
    private String paramRetrievalTypeCode;
    /**
     * 参数获取类型名称
     */
    private String paramRetrievalTypeName;
    /**
     * 是否为报文头
     */
    private String isHeader;
    /**
     * 参数获取内容
     */
    private String paramRetrievalTypeCont;
    /**
     * 创建人
     */
    private String createBy;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 最后修改人
     */
    private String updateBy;
    /**
     * 最后修改时间
     */
    private String updateTime;


    public InterfaceParam() {
    }

    public InterfaceParam(String interfaceNo, String paramObjName, String paramChineseName, String paramDescription, String paramTypeCode, String paramTypeName, String paramRetrievalTypeCode, String paramRetrievalTypeName, String isHeader, String paramRetrievalTypeCont, String createBy, String createTime, String updateBy, String updateTime) {
        this.interfaceNo = interfaceNo;
        this.paramObjName = paramObjName;
        this.paramChineseName = paramChineseName;
        this.paramDescription = paramDescription;
        this.paramTypeCode = paramTypeCode;
        this.paramTypeName = paramTypeName;
        this.paramRetrievalTypeCode = paramRetrievalTypeCode;
        this.paramRetrievalTypeName = paramRetrievalTypeName;
        this.isHeader = isHeader;
        this.paramRetrievalTypeCont = paramRetrievalTypeCont;
        this.createBy = createBy;
        this.createTime = createTime;
        this.updateBy = updateBy;
        this.updateTime = updateTime;
    }

    public String getInterfaceNo() {
        return interfaceNo;
    }

    public void setInterfaceNo(String interfaceNo) {
        this.interfaceNo = interfaceNo;
    }

    public String getParamObjName() {
        return paramObjName;
    }

    public void setParamObjName(String paramObjName) {
        this.paramObjName = paramObjName;
    }

    public String getParamChineseName() {
        return paramChineseName;
    }

    public void setParamChineseName(String paramChineseName) {
        this.paramChineseName = paramChineseName;
    }

    public String getParamDescription() {
        return paramDescription;
    }

    public void setParamDescription(String paramDescription) {
        this.paramDescription = paramDescription;
    }

    public String getParamTypeCode() {
        return paramTypeCode;
    }

    public void setParamTypeCode(String paramTypeCode) {
        this.paramTypeCode = paramTypeCode;
    }

    public String getParamTypeName() {
        return paramTypeName;
    }

    public void setParamTypeName(String paramTypeName) {
        this.paramTypeName = paramTypeName;
    }

    public String getParamRetrievalTypeCode() {
        return paramRetrievalTypeCode;
    }

    public void setParamRetrievalTypeCode(String paramRetrievalTypeCode) {
        this.paramRetrievalTypeCode = paramRetrievalTypeCode;
    }

    public String getParamRetrievalTypeName() {
        return paramRetrievalTypeName;
    }

    public void setParamRetrievalTypeName(String paramRetrievalTypeName) {
        this.paramRetrievalTypeName = paramRetrievalTypeName;
    }

    public String getIsHeader() {
        return isHeader;
    }

    public void setIsHeader(String isHeader) {
        this.isHeader = isHeader;
    }

    public String getParamRetrievalTypeCont() {
        return paramRetrievalTypeCont;
    }

    public void setParamRetrievalTypeCont(String paramRetrievalTypeCont) {
        this.paramRetrievalTypeCont = paramRetrievalTypeCont;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "InterfaceParam{" +
                "interfaceNo='" + interfaceNo + '\'' +
                ", paramObjName='" + paramObjName + '\'' +
                ", paramChineseName='" + paramChineseName + '\'' +
                ", paramDescription='" + paramDescription + '\'' +
                ", paramTypeCode='" + paramTypeCode + '\'' +
                ", paramTypeName='" + paramTypeName + '\'' +
                ", paramRetrievalTypeCode='" + paramRetrievalTypeCode + '\'' +
                ", paramRetrievalTypeName='" + paramRetrievalTypeName + '\'' +
                ", isHeader='" + isHeader + '\'' +
                ", paramRetrievalTypeCont='" + paramRetrievalTypeCont + '\'' +
                ", createBy='" + createBy + '\'' +
                ", createTime='" + createTime + '\'' +
                ", updateBy='" + updateBy + '\'' +
                ", updateTime='" + updateTime + '\'' +
                '}';
    }
}