package com.sundata.internalevaluation.configuration.model;


import java.util.List;

/**
 * 规则信息表
 */
public class Rule {
    /**
     * 规则编号
     */
    private String ruleNo;
    /**
     * 规则名称
     */
    private String ruleName;

    /**
     * 数据来源
     */
    private String ruleDataSour;
    /**
     * 规则模板
     */
    private String ruleTemplate;
    /**
     * 模板说明
     */
    private String templateDesc;
    /**
     * 规则结果
     */
    private String ruleResult;
    /**
     * 规则指标
     */
    private String ruleIndex;
    /**
     * 规则阈值
     */
    private String ruleThreshold;
    /**
     * 规则结论模板
     */
    private String ruleConclusionTemplate;

    // *********************************************** 数据库不存在字段

    private List<String> indexNoList;

    private List<RuleIndex> ruleIndexList;

    private String rulesNo;

    public String getRulesNo() {
        return rulesNo;
    }

    public void setRulesNo(String rulesNo) {
        this.rulesNo = rulesNo;
    }

    public List<String> getIndexNoList() {
        return indexNoList;
    }

    public void setIndexNoList(List<String> indexNoList) {
        this.indexNoList = indexNoList;
    }

    public List<RuleIndex> getRuleIndexList() {
        return ruleIndexList;
    }

    public void setRuleIndexList(List<RuleIndex> ruleIndexList) {
        this.ruleIndexList = ruleIndexList;
    }


    public Rule() {
    }

    public String getRuleNo() {
        return ruleNo;
    }

    public void setRuleNo(String ruleNo) {
        this.ruleNo = ruleNo;
    }

    public String getRuleName() {
        return ruleName;
    }

    public void setRuleName(String ruleName) {
        this.ruleName = ruleName;
    }

    public String getRuleDataSour() {
        return ruleDataSour;
    }

    public void setRuleDataSour(String ruleDataSour) {
        this.ruleDataSour = ruleDataSour;
    }

    public String getRuleTemplate() {
        return ruleTemplate;
    }

    public void setRuleTemplate(String ruleTemplate) {
        this.ruleTemplate = ruleTemplate;
    }

    public String getTemplateDesc() {
        return templateDesc;
    }

    public void setTemplateDesc(String templateDesc) {
        this.templateDesc = templateDesc;
    }

    public String getRuleResult() {
        return ruleResult;
    }

    public void setRuleResult(String ruleResult) {
        this.ruleResult = ruleResult;
    }

    public String getRuleIndex() {
        return ruleIndex;
    }

    public void setRuleIndex(String ruleIndex) {
        this.ruleIndex = ruleIndex;
    }

    public String getRuleThreshold() {
        return ruleThreshold;
    }

    public void setRuleThreshold(String ruleThreshold) {
        this.ruleThreshold = ruleThreshold;
    }

    public String getRuleConclusionTemplate() {
        return ruleConclusionTemplate;
    }

    public void setRuleConclusionTemplate(String ruleConclusionTemplate) {
        this.ruleConclusionTemplate = ruleConclusionTemplate;
    }

    @Override
    public String toString() {
        return "Rule{" +
                "ruleNo='" + ruleNo + '\'' +
                ", ruleName='" + ruleName + '\'' +
                ", ruleDataSour='" + ruleDataSour + '\'' +
                ", ruleTemplate='" + ruleTemplate + '\'' +
                ", templateDesc='" + templateDesc + '\'' +
                ", ruleResult='" + ruleResult + '\'' +
                ", ruleIndex='" + ruleIndex + '\'' +
                ", ruleThreshold='" + ruleThreshold + '\'' +
                ", ruleConclusionTemplate='" + ruleConclusionTemplate + '\'' +
                ", indexNoList=" + indexNoList +
                ", ruleIndexList=" + ruleIndexList +
                ", rulesNo='" + rulesNo + '\'' +
                '}';
    }
}